aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-setuptools/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-28 07:52:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-28 11:54:39 +0000
commit99d44fb00d33c6709ade31011a5dc0373a31a43e (patch)
tree147f1b15efe28f95a46643759734a2b253d7d123 /main/py-setuptools/APKBUILD
parent3d47d424cdf7e99f6b941add1ad1fd357f56d199 (diff)
downloadaports-99d44fb00d33c6709ade31011a5dc0373a31a43e.tar.gz
aports-99d44fb00d33c6709ade31011a5dc0373a31a43e.tar.bz2
aports-99d44fb00d33c6709ade31011a5dc0373a31a43e.tar.xz
main/py-setuptools: remove traces of python2.6
Diffstat (limited to 'main/py-setuptools/APKBUILD')
-rw-r--r--main/py-setuptools/APKBUILD12
1 files changed, 7 insertions, 5 deletions
diff --git a/main/py-setuptools/APKBUILD b/main/py-setuptools/APKBUILD
index eada6697ae..6f23307c14 100644
--- a/main/py-setuptools/APKBUILD
+++ b/main/py-setuptools/APKBUILD
@@ -3,10 +3,10 @@
pkgname=py-setuptools
_pkgname=${pkgname#py-}
pkgver=0.6c11
-pkgrel=2
+pkgrel=3
pkgdesc="setuptools is a collection of enhancements to the Python distutils"
url="http://pypi.python.org/pypi/setuptools"
-arch="all"
+arch="noarch"
license="PSF"
depends="python"
makedepends="python-dev"
@@ -16,10 +16,12 @@ source="http://pypi.python.org/packages/source/s/$_pkgname/$_pkgname-$pkgver.tar
build() {
cd "$srcdir"/$_pkgname-$pkgver
- mkdir -p "$pkgdir"/usr/lib/python2.6/site-packages
- python setup.py install --root="$pkgdir"
- echo "/usr/lib/python2.6/site-packages/$_pkgname-$pkgver-py2.6.egg" > "$pkgdir"/usr/lib/python2.6/site-packages/$_pkgname.pth
+ python setup.py build || return 1
+}
+package() {
+ cd "$srcdir"/$_pkgname-$pkgver
+ python setup.py install --root="$pkgdir"
# we don't provide a non-suffixed easy_install
echo "Removing non-suffixed easy_install ( $pkgdir/usr/bin/easy_install)"
rm "$pkgdir"/usr/bin/easy_install